import subprocess


class ShellHelper(object):
    def __init__(self):
        pass

    # Used to run shell commands and return data from the OS
    @staticmethod
    def run_cmd_output(command, def_timeout=15):
        try:
            print("shellhelper: Command: " + command)
            result = subprocess.check_output(command, timeout=def_timeout, universal_newlines=True, shell=True)

        except Exception as e:
            print("\nshellhelper: Exception: " + str(e))
            return [False, ""]

        return [True, result]

    # Used to run shell commands and expect no return data from the OS but just success True/False
    @staticmethod
    def run_shell_cmd(command, def_timeout=10):
        try:
            print("\nshellhelper: Command: " + command)
            result = subprocess.run(command, timeout=def_timeout, universal_newlines=True, shell=True)

        except Exception as e:
            print("\nshellhelper: Exception: " + str(e))

            return False

        return True
